//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
CONTACT
======================================================================================================================================
*/
.c-contact__header {
    .c-page__header;
    height: 600px;
    @media @media_tablet, @media_landascape {
        height: 400px;
    }
    @media @media_smartphone {
        height: 300px;
    }
}

.c-contact {
    .u-flex-display;
    .u-align-items(flex-start);
    .u-transform(translateY(-80px));
    @media @media_tablet, @media_landascape, @media_smartphone {
        .u-flex-direction(column);
        .u-transform(translateY(0));
    }
}

#map {
    width: calc(100% ~'-'@margin__l);
    height: 100%;
    margin-left: @margin__l;
    background-color: grey;
    @media @media_smartphone {
        width: calc(100% ~'-'@margin__m);
        margin-left: @margin__m;
    }
}

.c-contact__info {
    padding: @margin__m;
    background-color: white;
    .u-shadow(@shadow);

    .title {
        color: @color-secondary;
    }

    @media @media_tablet, @media_landascape, @media_smartphone {
        width: 100%;
    }
    @media @media_smartphone {
        padding: @margin__s;
        margin-top: @margin__s;
        .title {
            font-size: @size__m;
        }
    }
}

.c-social {
    display: inline-block;
    height: 40px;
    width: 40px;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    margin-right: 10px;
}

.c-social__facebook {
    background-image: url('./images/icn-facebook.svg')
}

.c-social__youtube {
    background-image: url('./images/icn-youtube.svg')
}

.c-contact__form {
    padding: @margin__m @margin__m 0;
    width: 50%;

    input,
    textarea {
        appearance: none;
        -moz-appearance: none;
        -webkit-appearance: none;
        border: none;
        background-color: #F6F9FF;
        height: 50px;
        margin: 0;
        padding: 0 10px;
        font-family: @font_base;
        font-size: @size__m;
        .u-border-radius(4px);
        .u-placeholderColor(@color-text);

        &:focus {
            outline: none;
        }

        /* Change Autocomplete styles in Chrome*/
        &:-webkit-autofill,
        &:-webkit-autofill:hover,
        &:-webkit-autofill:focus,
        &:-webkit-autofill,
        &:-webkit-autofill:hover,
        &:-webkit-autofill:focus {
            -webkit-text-fill-color: @color-text;
            -webkit-box-shadow: 0 0 0px 1000px #F6F9FF inset;
            transition: background-color 5000s ease-in-out 0s;
            font-size: @size__m!important;
        }
    }

    textarea {
        resize: vertical;
        height: 150px;
    }

    .wpcf7-form-control-wrap {
        display: inline-block;
        width: 100%;
        padding: 5px;

        &.nome,
        &.email {
            width: 50%;

            input {
                width: 100%;
            }
            @media @media_smartphone {
                width: 100%;
            }
        }
    }

    .wpcf7-submit {
        .o-button;
    }

    @media @media_tablet, @media_landascape, @media_smartphone {
        width: 100%;
        margin-top: @margin__s;
    }
    @media @media_smartphone {

        padding: @margin__s;
        h2 {
            font-size: @size__m;
        }
    }
}